Create album
Create an album with a title and a first photo.
POST https://cotlet.dev/api/v1/flickr/primary-photos/{primary_photo_id}/albums
write Confirm
Creates an album on your account with a title, an optional description and a first photo that becomes its cover. By default you confirm each call; you can switch that off for this tool.
Parameters
| Name | Type | Description |
|---|---|---|
| title string required | string | Album title. |
| description string | string | Album description. |
| primary_photo_id string required | string | Photo ID of the cover and first photo. |
Request
curl -X POST https://cotlet.dev/api/v1/flickr/primary-photos/primary_photo_8c41d2/albums \
-H "Authorization: Bearer $COTLET_API_KEY" \
-H "Content-Type: application/json" \
-d '{"title":"title"}' result = client.call("flickr", "create_album", {"title":"title","primary_photo_id":"primary_photo_8c41d2"}) const result = await cotlet.call('flickr', 'create_album', {"title":"title","primary_photo_id":"primary_photo_8c41d2"}); cotlet call flickr create_album --data '{"title":"title","primary_photo_id":"primary_photo_8c41d2"}' Example response
{
"album_id": "72177720330099880",
"title": "Sunday market",
"cover_photo_id": "53917620040",
"photos_in_album": 1,
"url": "https://www.flickr.com/photos/yourname/albums/72177720330099880",
"status": "created"
}